Bug 125299 - slang is missing dependencies
slang is missing dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: slang (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 11:53 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-01 17:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-06-04 11:53:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
The slang package is missing several dependencies. The most critical
is the devel package not requiring libtermcap-devel. This is because
the .a files in the slang-devel expect the .a files of
libtermcap-devel to be installed. Please apply the following patch:

--- working/slang/slang.spec    2004-03-02 16:41:56.000000000 -0500
+++ /opt/specs/slang.spec       2004-05-27 16:11:17.000000000 -0400
@@ -11,6 +11,8 @@
 Patch3: slang-1.4.5-utf8-segv.patch
 Patch4: slang-utf8-fix.patch
 Url: http://www.s-lang.org/
+BuildRequires: libtool, libtermcap-devel
+Requires: libtermcap
 Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
                                                                     
          
 %description
@@ -25,6 +27,7 @@
 Summary: The static library and header files for development using
S-Lang.
 Group: Development/Libraries
 Requires: slang = %{version}
+Requires: libtermcap-devel
                                                                     
          
 %description devel
 This package contains the S-Lang extension language static libraries


Version-Release number of selected component (if applicable):
slang-1.4.9-3.1

How reproducible:
Always

Steps to Reproduce:
1. This is tricky to reproduce. I don't remember which package it
shows up in: kudzu or newt. But its a couple of package dependencies
away from slang when the buildtree fails.

Additional info:
Comment 1 Steve Grubb 2004-06-23 12:26:55 EDT
This is a real bug. Please do not close this PR without addressing the
issue. Let me show you that libtermcap-devel is indeed required:

[root@buildhost root]# nm /usr/lib/libslang.a | grep 'U ' | grep tge
         U tgetent
         U tgetflag
         U tgetnum
         U tgetstr
         U SLtt_tgetstr
         U SLtt_tgetnum

[root@buildhost root]# nm /usr/lib/libtermcap.a | grep 'tge'
00000ab0 T tgetent
00000048 D tgetent_bufsize
00000d90 T tgetflag
00000d30 T tgetnum
00000dc0 T tgetstr

From the spec file:

%package devel
Summary: The static library and header files for development using S-Lang.

Note that we are talking about the static libraries. This bug is real
and the patch originally submitted should be applied.
Comment 2 Alan Cox 2004-08-01 17:22:45 EDT
Applied

Note You need to log in before you can comment on or make changes to this bug.